Try it free

OpenPipeline API - GET technology processors

  • Latest Dynatrace
  • Reference
  • 1-min read
  • Published Oct 25, 2024
  • Early Access

Gets all the processor for a technology bundle, given the technology bundle ID.

The request produces an application/json payload.

GETSaaShttps://{your-environment-id}.apps.dynatrace.com/platform/openpipeline/v1/technologies/{id}/processors

You can execute this request also with an OAuth2 client with openpipeline:configurations:read permission.

To learn how to obtain and use it, see OAuth clients.

Parameters

ParameterTypeDescriptionInRequired
idstring

The ID of a technology bundle.

pathRequired

Response

Response codes

CodeTypeDescription
200ProcessingStageProcessor[]

List of all processors within a specific technology bundle.

4XXErrorResponseEnvelope

Client-side error.

5XXErrorResponseEnvelope

Server-side error.

Response body objects

The ResponseBody object

The ProcessingStageProcessor object

Groups all processors applicable for the ProcessingStage. Applicable processors are DqlProcessor, FieldsAddProcessor, FieldsRemoveProcessor, FieldsRenameProcessor, TechnologyProcessor, and DropProcessor.

The ErrorResponseEnvelope object

Encloses the encountered error.

ElementTypeDescription
errorErrorResponse

Basic information of the encountered error.

The ErrorResponse object

Basic information of the encountered error.

ElementTypeDescription
codeinteger

The returned HTTP status code.

detailsErrorResponseDetails

Detailed information of the error.

messagestring

Description of the encountered error.

The ErrorResponseDetails object

Detailed information of the error.

ElementTypeDescription
typestring

Defines the actual set of fields depending on the value. See one of the following objects:

  • constraintViolation -> ConstraintViolationDetails
The element can hold these values
  • constraintViolation

Response body JSON models

[
{
"type": "dql",
"enabled": true,
"editable": false,
"id": "es_slow_log",
"description": "ES Slow Log Index",
"matcher": "matchesPhrase(content, \"index.indexing.slowlog*\")",
"sampleData": "{}",
"dqlScript": "parse content, \"'[' TIMESTAMP('yyyy-MM-ddTHH:mm:ss,SSS'):timestamp ']' PUNCT?\nSPACE? '[' UPPER:loglevel SPACE* ']' PUNCT?\nSPACE? '[index.indexing.slowlog.' LD:'db.operation' ']' PUNCT?\nSPACE? '[' LD:'db.elasticsearch.node' ']' PUNCT?\n(SPACE? '{' LD '}')? //metadata, dt.trace_id\nSPACE? '[' LD?:'db.elasticsearch.index_name' ']' PUNCT?\nSPACE? 'took[' LD ']' PUNCT?\nSPACE? 'took_millis[' INT:'db.elasticsearch.duration' ']' PUNCT?\nDATA\"\n"
}
]
{
"error": {
"code": 400,
"message": "Bad request."
}
}

JSON models

DqlProcessor

The DqlProcessor object

Processor to apply a DQL script.

ElementTypeDescription
builtinboolean

Indicates if Dynatrace provides the object or if it's customer-defined.

descriptionstring

Name or description of the processor.

dqlScriptstring

The DQL script to apply to the record.

editableboolean

Indicates if the user can edit this object based on permissions and builtin property.

enabledboolean

Indicates if the object is active.

idstring

Processor identifier, which must be unique within a stage.

matcherstring

Matching condition to apply to incoming records.

sampleDatastring

Sample data related to the processor for documentation or testing.

FieldsAddProcessor

The FieldsAddProcessor object

Processor to add fields.

ElementTypeDescription
builtinboolean

Indicates if Dynatrace provides the object or if it's customer-defined.

descriptionstring

Name or description of the processor.

editableboolean

Indicates if the user can edit this object based on permissions and builtin property.

enabledboolean

Indicates if the object is active.

fieldsFieldsAddItem[]

List of fields to add to the record.

idstring

Processor identifier, which must be unique within a stage.

matcherstring

Matching condition to apply to incoming records.

sampleDatastring

Sample data related to the processor for documentation or testing.

The FieldsAddItem object

List of fields to add to the record.

ElementTypeDescription
namestring

Name of the field.

valuestring

Value to assign to the field.

FieldsRemoveProcessor

The FieldsRemoveProcessor object

Processor to remove fields.

ElementTypeDescription
builtinboolean

Indicates if Dynatrace provides the object or if it's customer-defined.

descriptionstring

Name or description of the processor.

editableboolean

Indicates if the user can edit this object based on permissions and builtin property.

enabledboolean

Indicates if the object is active.

fieldsstring[]

List of unique fields to remove from the record.

idstring

Processor identifier, which must be unique within a stage.

matcherstring

Matching condition to apply to incoming records.

sampleDatastring

Sample data related to the processor for documentation or testing.

FieldsRenameProcessor

The FieldsRenameProcessor object

Processor to rename fields.

ElementTypeDescription
builtinboolean

Indicates if Dynatrace provides the object or if it's customer-defined.

descriptionstring

Name or description of the processor.

editableboolean

Indicates if the user can edit this object based on permissions and builtin property.

enabledboolean

Indicates if the object is active.

fieldsFieldsRenameItem[]

List of fields to rename on the record.

idstring

Processor identifier, which must be unique within a stage.

matcherstring

Matching condition to apply to incoming records.

sampleDatastring

Sample data related to the processor for documentation or testing.

The FieldsRenameItem object

List of fields to rename on the record.

ElementTypeDescription
fromNamestring

The field to rename.

toNamestring

The new field name.

TechnologyProcessor

The TechnologyProcessor object

Processor to apply technology processors.

ElementTypeDescription
builtinboolean

Indicates if Dynatrace provides the object or if it's customer-defined.

customMatcherstring

Optional customer-defined matching condition, that's used in place of the main technology matcher.

editableboolean

Indicates if the user can edit this object based on permissions and builtin property.

enabledboolean

Indicates if the object is active.

idstring

Processor identifier, which must be unique within a stage.

sampleDatastring

Sample data related to the processor for documentation or testing.

technologyIdstring

The reference identifier to a specific technology. This technology is applied to the record.

DropProcessor

The DropProcessor object

Processor to drop the record either during the processing stage or at the endpoint.

ElementTypeDescription
builtinboolean

Indicates if Dynatrace provides the object or if it's customer-defined.

descriptionstring

Name or description of the processor.

editableboolean

Indicates if the user can edit this object based on permissions and builtin property.

enabledboolean

Indicates if the object is active.

idstring

Processor identifier, which must be unique within a stage.

matcherstring

Matching condition to apply to incoming records.

sampleDatastring

Sample data related to the processor for documentation or testing.

ErrorResponseEnvelope

The ErrorResponseEnvelope object

Encloses the encountered error.

ElementTypeDescription
errorErrorResponse

Basic information of the encountered error.

The ErrorResponse object

Basic information of the encountered error.

ElementTypeDescription
codeinteger

The returned HTTP status code.

detailsErrorResponseDetails

Detailed information of the error.

messagestring

Description of the encountered error.

The ErrorResponseDetails object

Detailed information of the error.

ElementTypeDescription
typestring

Defines the actual set of fields depending on the value. See one of the following objects:

  • constraintViolation -> ConstraintViolationDetails
The element can hold these values
  • constraintViolation
ConstraintViolationDetails

The ConstraintViolationDetails object

List of encountered constraint violations.

ElementTypeDescription
constraintViolationsConstraintViolation[]

List of encountered constraint violations.

The ConstraintViolation object

Information about a single constraint violation.

ElementTypeDescription
contextobject

Structured context of the constraint violation. Well known keys that can be present are:

  • reason -> Additional reasoning behind the occurred violation.
  • pipeline -> Pipeline related to the violation.
  • endpoint -> Endpoint related to the violation.
  • stage -> Stage related to the violation.
  • processor -> Processor related to the violation.
  • routingRule -> Routing rule related to the violation.
messagestring

Description of the constraint violation.

GeoLookupProcessor

The GeoLookupProcessor object

Processor to perform geo IP lookup.

ElementTypeDescription
builtinboolean

Indicates if Dynatrace provides the object or if it's customer-defined.

descriptionstring

Name or description of the processor.

editableboolean

Indicates if the user can edit this object based on permissions and builtin property.

enabledboolean

Indicates if the object is active.

geoFieldPrefixstring

Optional prefix for geo output fields.

idstring

Processor identifier, which must be unique within a stage.

ipFieldKeystring

The record field that contains the IP address to look up.

matcherstring

Matching condition to apply to incoming records.

outputFieldsstring[]

List of output fields to populate from the geo lookup.

sampleDatastring

Sample data related to the processor for documentation or testing.

InlineLookupProcessor

The InlineLookupProcessor object

Processor to perform inline key-value lookup.

ElementTypeDescription
builtinboolean

Indicates if Dynatrace provides the object or if it's customer-defined.

defaultValuestring

Value to use when no lookup entry matches the source field.

descriptionstring

Name or description of the processor.

destinationFieldstring

The record field to write the lookup result to.

editableboolean

Indicates if the user can edit this object based on permissions and builtin property.

enabledboolean

Indicates if the object is active.

idstring

Processor identifier, which must be unique within a stage.

inlineLookupTablestring

JSON array of inline lookup entries mapping keys to values.

matcherstring

Matching condition to apply to incoming records.

sampleDatastring

Sample data related to the processor for documentation or testing.

sourceFieldstring

The record field to use as the lookup key.

ClassicPipelineTranslationResult

The ClassicPipelineTranslationResult object

Result of translating a classic pipeline into an OpenPipeline configuration pipeline.

ElementTypeDescription
valuePipelineSettingsValue

The translated OpenPipeline configuration pipeline. The structure is compliant with builtin:openpipeline.logs.pipelines or builtin:openpipeline.bizevents.pipelines schemas, corresponding to the requested configuration parameter value. Note: the raw result may not fully pass validation against the Settings API.

withWarningboolean

Indicates whether at least one processor couldn't be translated automatically and needs manual review.

The PipelineSettingsValue object

The translated OpenPipeline configuration pipeline. The structure is compliant with builtin:openpipeline.logs.pipelines or builtin:openpipeline.bizevents.pipelines schemas, corresponding to the requested configuration parameter value. Note: the raw result may not fully pass validation against the Settings API.

PipelineSettingsValue

The PipelineSettingsValue object

The translated OpenPipeline configuration pipeline. The structure is compliant with builtin:openpipeline.logs.pipelines or builtin:openpipeline.bizevents.pipelines schemas, corresponding to the requested configuration parameter value. Note: the raw result may not fully pass validation against the Settings API.

Related tags
Dynatrace Platform